%define with_systemd 1

Summary:	Skeleton package which defines a simple %{distribution} system
Name:		basesystem
Version:	2012
Release:	7
License:	GPLv2+
Group:		System/Base
Requires:	kernel
Requires:	basesystem-minimal
%ifnarch %{mips}
Requires:	bootloader
%endif
# (sb) need pdisk hfsutils ybin mktemp to setup bootloader PPC
%ifarch ppc
Requires:	pdisk
Requires:	hfsutils
Requires:	ybin
Requires:	mktemp
Requires:	mkinitrd
Requires:	pmac-utils
%endif
# (fg) 20001027 ia64 uses eli as a bootloader
%ifarch ia64
Requires:	mkinitrd-command
%endif
%if %mdvver < 201200
Requires:	module-init-tools
%else
Requires:	kmod
%endif
Suggests:	prelink
Requires:	vixie-cron
Requires:	common-licenses
Requires:	syslog-daemon
%if %{with_systemd}
Requires(post):	systemd-sysvinit
%else
Requires(post):	sysvinit
Requires:	initscripts
%endif
Requires:	kbd
Requires:	crontabs
Requires:	e2fsprogs
Requires:	logrotate
Conflicts:	makedev <= 4.4-15

%description
Basesystem defines the components of a basic %{distribution} system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%package minimal
Summary:	Minimalistic skeleton package definining a simple %{distribution} system
Requires:	setup
Requires:	filesystem
Requires:	sed
Requires:	utempter
Requires:	chkconfig
Requires:	coreutils
Requires:	etcskel
Requires:	findutils
Requires:	grep
Requires:	gzip
Requires:	gzip-utils
Requires:	less
Requires:	mingetty
Requires:	net-tools
Requires:	passwd
Requires:	procps
Requires:	psmisc
Requires:	rootfiles
Requires:	rpm
Requires:	shadow-utils
Requires:	stat
Requires:	tar
Requires:	termcap
Requires:	time
Requires:	util-linux
Requires:	which
Requires:	perl-base
Requires:	mandriva-release >= 2008.1
Requires:	bzip2
Requires:	xz
Suggests:	vim

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%description minimal
Basesystem defines the components of a basic %{distribution} system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%package uml
Summary:	Skeleton package definining a simple uml %{distribution} system
Requires:	basesystem-minimal
Requires:	dhcp-client-daemon
Requires:	urpmi

%description uml
Basesystem defines the components of a basic %{distribution} system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml


%changelog
* Tue Sep 11 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2012-7
+ Revision: 816758
- remove redundant requires on losetup and mount
- spec file clean

* Sun Sep 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2012-6
+ Revision: 816572
- add missing summary tags
- add a conflicts on 'makedev'
- drop dependency on 'dev' (makedev) as it's deprecated since ages ago
- move logrotate out of minimal
- move e2fsprogs out of minimal
- fix summary-too-long
- move crontabs out of stable
- move kbd out of minimal
- move sysvinit, systemd & initscripts out of minimal
- move syslog-daemon out of minimal
- drop dependency on sash
- move common-licenses out of minimal package
- move vixie-cron out of minimal package
- move prelink suggests out of minimal package
- we don't need kmod without no kernel, so move requires out of minimal package
- change requires on vim to suggests

* Fri Jul 20 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2012-4
+ Revision: 810473
- require kmod instead of module-init-tools on mdv 2012

* Fri Jul 20 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2012-3
+ Revision: 810362
- do not require initscripts when systemd is enabled

* Tue Jun 05 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2012-2
+ Revision: 802667
- change dhcp-client dependency to dhcp-client-daemon so that dhcpcd can satisfy
  it as well
- change mkinitrd dependency to mkinitrd-command
- add a suggests on prelink
- bump version to 2012
- rebuild to get rid of rpmlib(DistEpoch) blunder and also clean out a bit

* Tue Mar 13 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2011.0-7
+ Revision: 784611
- require new gzip-utils package (contains zcat etc.)

* Sat Dec 03 2011 Paulo Andrade <pcpa@mandriva.com.br> 2011.0-6
+ Revision: 737536
- systemd-sysvinit provides sysvinit.

* Sat Dec 03 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2011.0-5
+ Revision: 737516
- remove obsolete and broken dependency on libgcc

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add conflicts on sysvinit

* Sat Nov 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2011.0-3
+ Revision: 731778
- use post requires

* Wed Nov 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2011.0-2
+ Revision: 729489
- requires systemd-sysvinit instead of sysvinit

* Tue Apr 19 2011 Antoine Ginies <aginies@mandriva.com> 2011.0-1
+ Revision: 655951
- bump to 2011 release

* Thu Feb 24 2011 Eugeni Dodonov <eugeni@mandriva.com> 2010.0-4
+ Revision: 639731
- Add requires on bzip2 and xz

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-3mdv2011.0
+ Revision: 603755
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-2mdv2010.1
+ Revision: 522188
- rebuilt for 2010.1

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 2010.0-1mdv2010.0
+ Revision: 448803
- bump version to 2010.0
- do not require bootloader for mips (from Arnaud Patard)

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.0-5mdv2010.0
+ Revision: 423673
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2009.0-4mdv2010.0
+ Revision: 413154
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-3mdv2009.1
+ Revision: 350172
- 2009.1 rebuild

* Sat Jul 12 2008 Olivier Thauvin <nanardon@mandriva.org> 2009.0-2mdv2009.0
+ Revision: 234021
- add -uml subpackage
- move arch-specific bootloader (ppc + ia64) from minimal to standard package (eg like x86* arch)

* Thu May 08 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 203831
- bump version (no changes)

  + Oden Eriksson <oeriksson@mandriva.com>
    - bump release

* Fri Feb 22 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-7mdv2008.1
+ Revision: 173938
- ldconfig is no more
- s/SysVinit/sysvinit/

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-6mdv2008.1
+ Revision: 154126
- move bootloader require from minimal subpackage to main one

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-5mdv2008.1
+ Revision: 152842
- split minimal subpackage that doesn't require kernel so that iurt's chroots
  are simpler (no drakxtools-backend, ...); next step would be moving syslog requires

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-4mdv2008.1
+ Revision: 148914
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2008.0-3mdv2008.0
+ Revision: 84912
- requires virtual package syslog-daemon, not mandatorily sysklogd

* Wed Aug 01 2007 Olivier Blin <blino@mandriva.org> 2008.0-2mdv2008.0
+ Revision: 57690
- require kbd instead of console-tools

* Mon Jun 18 2007 Adam Williamson <awilliamson@mandriva.org> 2008.0-1mdv2008.0
+ Revision: 41050
- update for 2008.0
- Import basesystem



* Fri Sep 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.0-2mdv2007.0
- fix requires


* Fri Sep 22 2006 Warly <warly@mandriva.com> 2007.0-1mdv2007.0
- requires mandriva-release > 2007.0

* Mon Jun 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 10.1-6mdv2007.0
- %%mkrel
- drop %%ifarch for x86 and sparc as dependency on bootloader is sufficient
- cosmetics

* Fri Sep  2 2005 Stew Benedict <sbenedict@mandriva.com> 10.1-5mdk
- drop bdflush from requires

* Thu Aug 11 2005 Flavio Bruno Leitner <flavio@mandriva.com> 10.1-4mdk
- changed requires from modutils to module-init-tools

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 10.1-3mdk
- change requires back to sysklogd since syslog-ng doesn't work on
  fresh installs
- fix summary ended with dot
- use Mandriva

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 10.1-2mdk
- Changed requires from sysklogd to syslog-daemon

* Mon Sep  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux

* Fri Sep  3 2004 Warly <warly@mandrakesoft.com> 10.1-0.1mdk
- Change the version to 10.1

* Wed Jan  7 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.2mdk
- require bootloader (instead of lilo / aboot / elilo / ...)

* Tue Jan  6 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.1mdk
- don't require mkbootdisk anymore

* Thu Apr 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.2-1mdk
- add mkbootdisk for x86-64

* Fri Oct 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-3mdk
- Requires: s/fileutils, sh-utils, textutils/coreutils/

* Sun Oct  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-2mdk
- Requires: lilo on x86-64 too

* Tue Sep 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-1mdk
- Requires: libgcc >= 3.2-1mdk

* Sat Jun 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.2-3mdk
- Requires: timezone here for now until DrakX deals with it directly
- Requires: ldconfig on IA-64 too

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 8.2-2mdk
- don't require tmpwatch (not mandatory)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.2-1mdk
- next version is... 8.2 :)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.1-5mdk
- add BuildRoot to please rpmlint
- remove requires
  * ntsysv (replaced by drakxservices)
  * procmail (not needed)
  * libtermcap2 (no need to require libraries)
  * basesystem (why was it there?)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-4mdk
- remove requires
  * hdparm setserial (not needed by many hardware)
  * info man (not needed with excludedocs)
  * getty_ps
  * ash (there's sash which is much more useful)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-3mdk
- remove requires 
  * isapnptools (now required by sndconfig)
  * grub (lilo *is* needed, but not grub)
  * msec (DrakX will ensure it is installed in 99%% of installs)

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-2mdk
- s|Copyright|Licenses|;

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-1mdk
- Rebuild.

* Wed Jul 11 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-5mdk
- add mkinitrd for ia64

* Fri Jul  6 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-4mdk
- change eli to elilo

* Fri May 11 2001 Stew Benedict <sebedict@mandrakesoft.com> 8.0-3mdk
- remove kernel-pmac, add pmac-utils to requires - PPC

* Thu Mar 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 8.0-2mdk
- add mkinitrd to requires - PPC

* Tue Mar 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 8.0-1mdk
- following lib policy, add libtermcap2 to basesystem
- bomb version to ``8.0''

* Wed Mar 7 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-5mdk
- ppc add mktemp to requires

* Fri Feb 13 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-4mdk
- ppc: requires ybin

* Fri Oct 27 2000 Francis Galiegue <fg@mandrakesoft.com> 7.2-2mdk

- ia64: does not require ldconfig nor procmail for now - KLUDGE - see spec file
  for details
- ia64: requires eli

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 7.2-1mdk
- 7.2

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-4mdk
- remove the BuildArchitectures: noarch
(otherwise can't have arch dependent Requires, silly me)

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 7.1-3mdk
- changed require vim-minimal to vim (thanks Quel Qun)

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- added a *lot* of requires. Now *is* the base

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-1mdk
- Upgrade version.
- Update groups.

* Thu Dec  2 1999 Pixel <pixel@linux-mandrake.com>
- changed back Requires to preReq :(

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- changed preReq to Requires

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (VER: 6mdk).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- don't require rpm (breaks dependency chain)

* Tue Mar 16 1999 Erik Troan <ewt@redhat.com>
- require rpm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
